Subject: bug#77140: [PATCH] Strip text properties on recentf entries

From: Ship Mints <[email-masked]>
Date: Fri, 21 Mar 2025 11:43:38 -0400

On Fri, Mar 21, 2025 at 11:29 AM Robert Pluim <[email-masked]> wrote:

> >>>>> On Fri, 21 Mar 2025 11:26:46 -0400, Ship Mints <[email-masked]>
> said:
>
>     Ship> Thanks.  I saw that.  magit uses its own minor mode on top of
> text-mode.
>     Ship> Jonas seems thoughtful enough to have considered log-edit-mode,
> probably?
>
> You can use the magit minor mode on top of `log-edit-mode', see
> `git-commit-major-mode' (thanks to Stefan K for pointing this out to
> me).
>

Cool.  I just added the following to my emacs .dir-locals-2.el.  I'll make
it my default if I like it for Emacs.

(
 (nil . ((git-commit-major-mode . log-edit-mode)))
)

Perhaps this is worth adopting in .dir-locals.el itself.